#ifndef Configuration_h
#define Configuration_h

// Default configuration
// Types 'byte' und 'word' doesn't work!
typedef struct {
  int valid = 1;                            // 0=no configuration, 1=valid configuration
  int debug = 3;                            // Debug mode 0=off 1=Errors 2=Errors + Warnings 3=Notifications + Errors + Warnings
  char ssid[31] = "MySSID";                 // SSID of WiFi
  char password[31] = "MyPassword";         // Password of WiFi
  char serverMode[10] = "WiFi";             // Used server mode [WiFi|Serial|HTTP]
  int serspeed = 115200;                    // Serial speed in [Bd] 8N1 [300|1200|2400|4800|9600|19200|38400|57600|74880|115200]
  int engineID = 0;                         // ID of engine [0...9]
  char speedSensorType[10] = "Digital";     // Type of speed sensor [Digital|Analog]
  int engineSpeed = 1;                      // Send data for engine speed in [rpm] 0=off 1=on
  int shaftSpeed = 1;                       // Send data for shaft speed in [rpm] 0=off 1=on
  int offsetLiveTimeCounter = 0;            // Offset value for engine live time counter in [h] [-1...99999], -1 = reset the live time counter
  int liveTimeCounter = 1;                  // Send data for engine live time counter in [h] 0=off 1=on
  char flowSensorType[10] = "YF-S201B";     // Type of flow sensor [Off|YF-S201B] 1...30 l/min, 7 imp/l
  int seaWaterFlow = 1;                     // Send data for sea water flow in [l/min] 0=off 1=on
  int coolingWaterFlow = 1;                 // Send data for engine cooling water in [l/min] 0=off 1=on
  char tempSensorType[10] = "DS18B20";      // Type of temperature sensor [Off|DS18B20]
  char tempUnit[2] = "C";                   // Unit of temperature [C|F]
  int seaWaterTemp = 1;                     // Send data for sea water temp 0=off 1=on
  int seaWaterTempID = 0;                   // Sensor ID [0...7]
  int coolingWaterTemp = 1;                 // Send data for engine cooling water temp 0=off 1=on
  int coolingWaterTempID = 1;               // Sensor ID [0...7]
  int engineRoomTemp = 1;                   // Send data for engine room temp 0=off 1=on
  int engineRoomTempID = 2;                 // Sensor ID [0...7]
  int safetyRelay = 0;                      // Using a safety relay for engine shut down by high temperature and/or missing cooling water flow 0=off 1=on
  char roomSensorType[10] = "AM2302";       // Sensor type for living room data [Off|AM2301|AM2302]
  int roomTemp = 0;                         // Send data for living room temp 0=off 1=on
  int roomHumidity = 0;                     // Send data for living room humidity in [%], relative humidity 0=off 1=on
} configData;

#endif
