#ifndef Definitions_h
#define Definitions_h

// Debug settings
// Attention! bedug gets overloaded from configuration
int debug = 3;// 0 Without debug information
              // 1 Error information
              // 2 Error and Warning information
              // 3 Notification with error and warning information

// SDCard settings
char* configfile = "settings.txt";  // Filename for configuration file

// Engine live time counter
float liveTime;         // Engine live time without offset
float sumLiveTime;      // Engine live time with offset
int saveLiveTime;       // Marker for saving live time counter

// EEPROM settings (max size is 4096 Byte)
int cfgStart = 1024;    // Start adress in EEPROM for configuration(Attention! The first 32 Byte are used beginning with adress 0)
int ltcStart = 2000;    // Start adress in EEPROM for live time counter
int sizeEEPROM = 2048;  // Used size of EEPROM 2kB (limit for config file size)

// WLAN settings
int port = 6666;            // TCP server port
int SendPeriod = 1000;      // SendPeriod in [ms], faster than 1s is not usefull because the speed calculation is all 1s
int RedSendPeriod = 3000;   // Reduced send period [ms] when engine speed and shaft speed is zero

// Definitions for engine speed and shaft speed
#define INT_PIN1 14         // Interrupt Pin GPIO 14 (D5) for engine speed (duble using with SDCard)
#define INT_PIN2 12         // Interrupt Pin GPIO 12 (D6) for shaft speed (duble using with SDCard)
#define INT_PIN3 4          // Interrupt Pin GPIO 14 (D2) for sea water flow
#define INT_PIN4 13         // Interrupt Pin GPIO 13 (D7) for cooling water flow (duble using with SDCard)

// Definition 1Wire
#define ONE_WIRE_BUS 5      // 1Wire bus on pin 5 (D1)

volatile unsigned long counter[4];   // Impulse Counter (Array)
unsigned long result[4];    // Results in 1/min (Array)

// Pin definitions for WIMO D1 mini
const int ledPin = D4;  // Pin GPIO 02 (D4), LED is low activ
const int ssPin = D8;   // Pin GPIO 15 (D8), SS or CS for SDCard
#endif
